%define         major                    5
%define         libname                  %mklibname %{name} %{major}
%define         libnamedev               %mklibname %{name} -d


Name:           postgis
Version:        2.2.2
Release:        %mkrel 3
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            http://www.postgis.net
Source0:        http://download.osgeo.org/postgis/source/%{name}-%{version}.tar.gz
BuildRequires:  cunit-devel
BuildRequires:  postgresql-devel >= 9.0
BuildRequires:  proj
BuildRequires:  proj-devel
BuildRequires:  geos-devel
BuildRequires:  flex
BuildRequires:  byacc
BuildRequires:  libxslt-proc
BuildRequires:  bison
BuildRequires:  libxml2-devel
BuildRequires:  gdal-devel
BuildRequires:  pkgconfig(json-c)

Requires:       postgresql-plpgsql >= 9.0
Requires:       postgresql-libs >= 9.0
#Requires:       proj

%description
PostGIS is a spatial database extender for PostgreSQL
object-relational database. It adds support for geographic objects
allowing location queries to be run in SQL.


%package -n %{libname}
Summary:        Geographic objects to the PostgreSQL object-relational database
Group:          System/Libraries

%description -n %{libname}
%{summary}.


%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for %{name}.

%prep
%setup -q

%build
export LDFLAGS="-lm"
%configure2_5x \
	--datadir=%{_datadir}/postgis \
        --disable-rpath 

#parallel build broken
%__make -j1

%install
%make_install

%__cp utils/postgis*.pl %{buildroot}%{_bindir}
%__chmod 755 %{buildroot}%{_bindir}/postgis*.pl
%__mkdir %{buildroot}%{_docdir}/postgis
%__mv %{buildroot}%{_docdir}/postgresql %{buildroot}%{_docdir}/postgis/

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%files
%doc COPYING README.postgis
%{_bindir}/*
%{_datadir}/postgresql/contrib
%{_datadir}/postgresql/extension
%{_docdir}/postgis/postgresql/extension

%files -n %{libname}
%{_libdir}/liblwgeom-*.so.%{major}{,.*}
%{_libdir}/postgresql/postgis_topology-2.2.so
%{_libdir}/postgresql/postgis-2.2.so
%{_libdir}/postgresql/address_standardizer-2.2.so
%{_libdir}/postgresql/rtpostgis-2.2.so

%files -n %{libnamedev}
%{_libdir}/liblwgeom.so
%{_includedir}/liblwgeom.h
%{_includedir}/liblwgeom_topo.h


%changelog
* Fri May 20 2016 eatdirt <eatdirt> 2.2.2-3.mga6
+ Revision: 1017139
- Fix docdir own by package
- Upgrade to versio 2.2.2

  + tv <tv>
    - rebuild for new libproj

* Sun Apr 03 2016 daviddavid <daviddavid> 2.1.8-1.mga6
+ Revision: 997918
- new version: 2.1.8 (fixes build against postgresql9.5)

* Sun Jan 10 2016 wally <wally> 2.1.7-3.mga6
+ Revision: 920924
- rebuild for new gdal

* Wed May 06 2015 philippem <philippem> 2.1.7-2.mga5
+ Revision: 821355
- update to 2.1.7, fix mga#15741

* Tue Nov 25 2014 cjw <cjw> 2.1.3-4.mga5
+ Revision: 798953
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 741565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 687732
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 fwang <fwang> 2.1.3-1.mga5
+ Revision: 665028
- fix build
- update json-c dir
- 2.1.3

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 534263
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 2.1.0-2.mga4
+ Revision: 477057
- update file list

* Tue Sep 10 2013 fwang <fwang> 2.1.0-1.mga4
+ Revision: 477051
- update json-c include dir
- fix linkage
- new version 2.1.0
- enable static for liblwgeom
- rebuild for new postgresql

  + obgr_seneca <obgr_seneca>
    - new version 2.0.1

* Sun Jan 13 2013 umeabot <umeabot> 1.5.8-2.mga3
+ Revision: 378095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 1.5.8-1.mga3
+ Revision: 319098
- new version 1.5.8
- br postgre 9.2

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 1.5.3-7.mga3
+ Revision: 262119
- Rebuild against new geos

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 1.5.3-6.mga3
+ Revision: 254006
- Rebuild against new geos

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 1.5.3-5.mga2
+ Revision: 197247
- build against postgres 9.1
- rebuild for new libgeos

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-4.mga2
+ Revision: 162074
- fixed requires for 64bit systems

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-3.mga2
+ Revision: 162063
- rebuild against new geos
- changed BR and R so postgres9.0 is needed
-rebuild against new geos

* Sun Jun 26 2011 fwang <fwang> 1.5.3-1.mga2
+ Revision: 113836
- new version 1.5.3

* Wed Mar 30 2011 ennael <ennael> 1.5.2-2.mga1
+ Revision: 79099
- imported package postgis

